Change Feedback Contract
curl --request POST \
--url https://api.heybee.app/v1/experiments/{experiment_id}/feedback-contract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"axes": [
{
"axis_key": "<string>",
"label": "<string>",
"critical": false,
"description": "<string>",
"meaningful_margin": 1,
"parameter_groups": [
"<string>"
],
"scale": {
"max": 123,
"min": 123,
"high_label": "Excellent",
"low_label": "Poor",
"step": 1
},
"weight": 1
}
]
}
'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/feedback-contract"
payload = { "axes": [
{
"axis_key": "<string>",
"label": "<string>",
"critical": False,
"description": "<string>",
"meaningful_margin": 1,
"parameter_groups": ["<string>"],
"scale": {
"max": 123,
"min": 123,
"high_label": "Excellent",
"low_label": "Poor",
"step": 1
},
"weight": 1
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
axes: [
{
axis_key: '<string>',
label: '<string>',
critical: false,
description: '<string>',
meaningful_margin: 1,
parameter_groups: ['<string>'],
scale: {max: 123, min: 123, high_label: 'Excellent', low_label: 'Poor', step: 1},
weight: 1
}
]
})
};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/feedback-contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cloned": true,
"experiment": {
"anchor_field": "<string>",
"comparison_policy": {},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"kind": "simple",
"name": "<string>",
"objective": "benchmark",
"parameter_schema": [
{}
],
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "image",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"access_role": "owner",
"access_scope": "personal",
"allow_playback_speed": false,
"allow_public_voting": false,
"anchor_values": [
"<string>"
],
"axes": [
{}
],
"budget_cap_credits": 123,
"budget_remaining_credits": 123,
"budget_spent_credits": 0,
"can_manage_experiment": false,
"can_run_experiment": false,
"can_view_analysis": false,
"can_view_api": false,
"can_view_votes": false,
"confidence_score": 0,
"enforce_playback": false,
"is_discoverable": false,
"is_public_readable": false,
"min_playback_percent": 0,
"min_viewing_seconds": 0,
"policy_version": "v1",
"purchased_comparisons": 0,
"readiness_errors": [
{}
],
"readiness_state": "ready",
"remaining_comparisons": 0,
"require_feedback": false,
"requires_anchor": true,
"rlhf_policy": {
"budget_cap_credits": 1,
"collection_mode": "pairwise",
"participant_notes": "<string>",
"queue": {
"max_concurrent_assignments": 1,
"strategy": "balanced"
},
"round": {
"max_rounds": 5000,
"min_decisive_pairs_per_axis": 50
},
"version": 1
},
"sample_count": 0,
"score_count": 0,
"servable_pair_count": 0,
"status": "paused",
"team_member_count": 0,
"team_name": "<string>",
"total_votes": 0,
"used_comparisons": 0,
"vote_cost_credits": 1
},
"source_experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Experiments
Change Feedback Contract
Change scoring criteria in place, or clone the evaluation after collection.
POST
/
v1
/
experiments
/
{experiment_id}
/
feedback-contract
Change Feedback Contract
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 200Path Parameters
Body
application/json
Replace the feedback contract or clone it when evidence already exists.
Required array length:
1 - 12 elementsShow child attributes
Show child attributes

